Page MenuHomePhabricator

Archive the TemplateInfo extension
Closed, ResolvedPublicRequest

Description

Reason
Extension is unmaintained and superseded by TemplateData. So, I think that we should archive it. I contacted @Yaron_Koren and he told me that I can do this.

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, and remove MediaWiki-extensions-Other as appropriate.
  • On-wiki documentation
    • Archive documentation on mediawiki.org (https://www.mediawiki.org/wiki/Extension:TemplateInfo): replace page contents with {{Archived extension|3060517|reason=Extension is unmaintained and superseded by {{ll|Extension:TemplateData}}. Per {{phab|T250591}}.}}.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Update Wikidata item (https://www.wikidata.org/wiki/Q21678814) associated with documentation page
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD date that you decided to archive extension (generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator
    • Mark all Phabricator tasks for the extension either Declined or Invalid. Add a comment pointing to this task when doing so for reference.
    • Archive Phabricator project <#ProjectX> for the extension.
    • Edit Phabricator project <#ProjectX> description for the extension with a link to this ticket.
  • Translatewiki.net/translations
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Kizule created this task.Apr 18 2020, 10:39 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 18 2020, 10:39 PM
Kizule moved this task from Untriaged to Archive extensions on the Projects-Cleanup board.
Kizule moved this task from Backlog to delete on the Wikimedia-GitHub board.
Kizule moved this task from Backlog to Configuration changes on the translatewiki.net board.
Kizule updated the task description. (Show Details)Apr 18 2020, 10:55 PM
Dinoguy1000 updated the task description. (Show Details)Apr 19 2020, 7:10 PM

Change 590639 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[translatewiki@master] mediawiki-extensions.txt: Remove the TemplateInfo extension

https://gerrit.wikimedia.org/r/590639

Change 590640 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Archive the TemplateInfo extension

https://gerrit.wikimedia.org/r/590640

Change 590644 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Archive the TemplateInfo extension

https://gerrit.wikimedia.org/r/590644

Change 590639 merged by jenkins-bot:
[translatewiki@master] mediawiki-extensions.txt: Remove the TemplateInfo extension

https://gerrit.wikimedia.org/r/590639

Change 590647 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/TemplateInfo@master] Archive the extension

https://gerrit.wikimedia.org/r/590647

Kizule updated the task description. (Show Details)Apr 19 2020, 8:46 PM

Change 590644 merged by Jforrester:
[mediawiki/extensions@master] Archive the TemplateInfo extension

https://gerrit.wikimedia.org/r/590644

Change 590647 merged by Jforrester:
[mediawiki/extensions/TemplateInfo@master] Archive the extension

https://gerrit.wikimedia.org/r/590647

Change 590640 merged by jenkins-bot:
[integration/config@master] Archive the TemplateInfo extension

https://gerrit.wikimedia.org/r/590640

Mentioned in SAL (#wikimedia-releng) [2020-04-20T16:55:47Z] <James_F> Zuul: Archive the TemplateInfo extension T250591

Kizule updated the task description. (Show Details)Apr 23 2020, 11:23 PM
Umherirrender updated the task description. (Show Details)May 7 2020, 7:23 PM
MGChecker updated the task description. (Show Details)Jun 13 2020, 8:54 PM

Can someone archive/delete GitHub mirror and after it close task as resolved? It is only left to do.

Kizule moved this task from Working on to Watching on the User-Kizule board.Sep 30 2020, 2:35 PM
Jdforrester-WMF closed this task as Resolved.Oct 14 2020, 10:11 PM
Jdforrester-WMF updated the task description. (Show Details)

@Jdforrester-WMF I think that mirrors are usually deleted, not archived?

@Jdforrester-WMF I think that mirrors are usually deleted, not archived?

I've always Archived them, which is what it says in the task description…